--- old/usr/src/uts/common/os/refstr.c	2014-07-28 07:44:51.117509403 -0400
+++ new/usr/src/uts/common/os/refstr.c	2014-07-28 07:44:51.123488389 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/systm.h>
 #include <sys/param.h>
 #include <sys/atomic.h>
@@ -57,12 +55,12 @@
 void
 refstr_hold(refstr_t *rsp)
 {
-	atomic_add_32(&rsp->rs_refcnt, 1);
+	atomic_inc_32(&rsp->rs_refcnt);
 }
 
 void
 refstr_rele(refstr_t *rsp)
 {
-	if (atomic_add_32_nv(&rsp->rs_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&rsp->rs_refcnt) == 0)
 		kmem_free(rsp, (size_t)rsp->rs_size);
 }
